local GuildChatFlash = CreateFrame("frame")
local _G = _G

GuildChatFlash.ChatFrames = {}

GuildChatFlash:SetScript("OnEvent", function(self, event, ...)
    if self[event] then return self[event](self, ...) end
end)

GuildChatFlash:RegisterEvent("ADDON_LOADED")

function GuildChatFlash:OnLoad()
    for i = 1, NUM_CHAT_WINDOWS do
        self.ChatFrames[i] = getglobal("ChatFrame" .. i)
    end

    self:RegisterEvent("CHAT_MSG_GUILD")
    self:RegisterEvent("CHAT_MSG_GUILD_ACHIEVEMENT")
    self:RegisterEvent("CHAT_MSG_PARTY")

    self:Print("Loaded")
end

function GuildChatFlash:DoFlash(tabname)
    for k, v in pairs(self.ChatFrames) do
        local name, fontSize, r, g, b, alpha, shown, locked = GetChatWindowInfo(k);
        if name == tabname then
            FCF_FlashTab(v)
        end
    end
end

function GuildChatFlash:CHAT_MSG_GUILD()
    self:DoFlash("Guild")
end

function GuildChatFlash:CHAT_MSG_GUILD_ACHIEVEMENT()
    self:DoFlash("Guild")
end

function GuildChatFlash:CHAT_MSG_PARTY()
    self:DoFlash("Party")
end

function GuildChatFlash:ADDON_LOADED(name)
    if name == 'GuildChatFlash' then
        self:OnLoad()
    end
end

function GuildChatFlash:Print(msg)
    print("GuildChatFlash: " .. msg)
end
